
# David - 3.0-0.beta1.4mdk - Reminder: 8.0 is for IA32 and PPC
#                                      8.1 is for IA32 and IA64
#                                      8.2 is for IA32, IA64 and PPC

# David - 3.0-0.beta1.4mdk - Define macro used to control build options for
#                            each LMDK distributions
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor10_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 10.0 ]; then echo 1; else echo 0; fi)}

%define _requires_exceptions devel\(linux-gate\)


# David - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%if %buildfor9_2 || %buildfor10_0
%define unstable 0
%else
%define unstable 0
%endif


%define lib_name_orig lib%{name}
%define lib_major 2
%define lib_name %mklibname kdenetwork %lib_major

%define use_enable_final 1

# QTDIR is always /usr/lib/qt3, whether that's a lib64 architecture or
# not (sublibdirs are correctly qualified in the latter case however).
%define qtdir   %{_prefix}/lib/qt3

Name:		kdenetwork
Summary:	K Desktop Environment - Network Applications
Version:    3.2
Release:    17.1.100mdk
Epoch:		1
Group:          Development/KDE and Qt
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>
URL:		http://www.kde.org/
License:	GPL

Source:     %name-%version.tar.bz2
Source1:	kdenetwork3-kppp.pamd

Source2: 	kdenetwork-lisa


# Not perfect => not apply 3.0-4mdk
Patch1:		kdenetwork3-kmail-default-color.patch.bz2

Patch2:		kdenetwork-3.0.2-launch-spellchecking-config-when-it-didnot-configurate.patch.bz2


# Laurent 3.0.2-2mdk patch for ix64!
Patch4:     kde-lib64updates.patch.bz2


Patch100:	kdenetwork-3.2-fix-ksirc-dont-auto-save-history.patch.bz2

Patch101:	kdenetwork-3.2-fix-kopete-crash.patch.bz2

Patch102:	kdenetwork-3.2-fix-kwifimanager.patch.bz2

Patch103:	kdenetwork-3.2-fix-oscar-crash.patch.bz2

Patch104:	kdenetwork-3.2.1-fix-add-rss-to-applet.patch.bz2

BuildRoot:	%_tmppath/%name-%version-%release-root

# David - 3.0-0.beta1.4mdk - For kppp, kdebase for kio_pop3


%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2 || %buildfor10_0
BuildRequires: automake1.7
%endif


%if %buildfor9_0 || %buildfor9_1 
BuildRequires:  XFree86-devel XFree86-libs arts
BuildRequires:  automake diffutils file freetype2-devel gawk gcc-c++
BuildRequires:  gcc-cpp gettext kdelibs-devel
BuildRequires:  libMesaGLU1 libalsa2-devel libarts-devel  libaudiofile0-devel
BuildRequires:  libbinutils2 libbzip2_1-devel libintl2 libjpeg62-devel liblcms1
BuildRequires:  libmng1-devel libpng3-devel libqt3-devel
BuildRequires:  libtermcap2 m4 mktemp perl-MDK-Common
BuildRequires:  popt rpm-build texinfo zlib1-devel libxml2-devel libxslt-devel
BuildRequires:	libopenslp1-devel
%endif

%if %buildfor9_2 || %buildfor10_0
BuildRequires:  XFree86-devel XFree86-libs arts-devel
BuildRequires:  freetype2-devel 
BuildRequires:  gettext kdelibs-devel
BuildRequires:  libMesaGLU-devel libaudiofile-devel
BuildRequires:  bzip2-devel jpeg-devel lcms-devel
BuildRequires:  mng-devel png-devel 
BuildRequires:  libz-devel libxml2-devel libxslt-devel
BuildRequires:  libopenslp-devel
BuildRequires:	libiw-devel wireless-tools
%endif

# createmdkmenu
BuildRequires:	kdelibs-common >= 3.1.93-5mdk


Requires:	kdenetwork-kdict  = %epoch:%version-%release	
Requires:	kdenetwork-kget = %epoch:%version-%release
Requires:	kdenetwork-ksirc = %epoch:%version-%release
Requires:	kdenetwork-ktalk = %epoch:%version-%release
Requires:	kdenetwork-krfb = %epoch:%version-%release
Requires:	kdenetwork-kopete = %epoch:%version-%release

Obsoletes:	kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

Requires:   kdenetwork-knewsticker = %epoch:%version-%release


Obsoletes:	kdenetwork_kroupware, kdenetwork_kroupware-kppp
Obsoletes:	libkdenetwork_kroupware2, libkdenetwork_kroupware2-devel
Obsoletes:	kit
Obsoletes:	kdenetwork-kmail < 3.1.6 , kdenetwork-knode < 3.1.6 , kdenetwork-korn < 3.1.6


%description
Networking applications for the K Desktop Environment.

- kdict: graphical client for the DICT protocol.
- kit: AOL instant messenger client, using the TOC protocol
- knewsticker: RDF newsticker applet
- kpf: public fileserver applet
- ksirc: IRC client
- ktalkd: talk daemon
- lanbrowsing: lan browsing kio slave
- krfb: Desktop Sharing server, allow others to access your desktop via VNC
- krdc: a client for Desktop Sharing and other VNC servers

%package common
Summary:	Common files for kdenetwork
Group:		Graphical desktop/KDE

Requires:	kdebase >= 3.1
Requires:	kdelibs >= 3.1.1-15mdk
Obsoletes:	kdenetwork3

Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

Requires:	%lib_name-common = %epoch:%version-%release

Conflicts:	kdebase =< 2.2.2-93mdk
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:	kdenetwork-krfb <= 3.1.3-37mdk
Conflicts:	kdenetwork-common <= 3.1.3-37mdk

%description common
Common files for kdenetwork


%package -n %lib_name-common
Group:      Development/KDE and Qt
Summary:    Libraries for kdenetwork

Obsoletes:  %lib_name
Provides:   %lib_name = %epoch:%version-%release
Conflicts:	kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n %lib_name-common
Libraries for kdenetwork.


%package  -n %lib_name-common-devel
Summary:	Header files for kdenetwork
Group:		Development/KDE and Qt

Obsoletes:	kdenetwork-devel
Provides:	kdenetwork-devel = %epoch:%version-%release

Obsoletes:	%lib_name-devel
Provides:	%lib_name-devel = %epoch:%version-%release

Requires:	%lib_name-common = %epoch:%version-%release
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk

%description  -n %lib_name-common-devel
Header files for kdenetwork.

%package  kopete
Group:      Graphical desktop/KDE
Summary:    Kopete
Requires:	kdenetwork-common >= %epoch:%version-%release
Requires:	%lib_name-kopete >= %epoch:%version-%release
Obsoletes:	kopete <= 0.7.1-7mdk
Provides:	kopete
Obsoletes:	kopete = %epoch:%version-%release
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description kopete
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin 
being loaded.

The goal of Kopete is to provide users with a standard and easy to use 
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a 
plugin off of.


%package -n %lib_name-kopete-devel
Summary: 	Devel file.
Group: 		Networking/Instant messaging
Obsoletes:	libkopete1-devel
Provides:	libkopete1-devel = %{epoch}:%version-%release
Conflicts:	libkopete1-devel <= 0.7.1-7mdk
Conflicts:  kdepim <= 3.1.92
Requires:	%lib_name-kopete = %{epoch}:%version-%release
Conflicts:  kdenetwork-common <= 3.1.3-37mdk

%description -n %lib_name-kopete-devel
Devel file for kopete.

%package -n %lib_name-kopete
Summary: Multi-protocol plugin-based instant messenger
Group: 		Development/KDE and Qt
Obsoletes:	libkopete1
Provides:	libkopete1 = %epoch:%version-%release
Conflicts:	libkopete1 <= 0.7.1-7mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk

%description -n %lib_name-kopete
Kopete is a flexible and extendable multiple protocol instant messaging
system designed as a plugin-based system.

All protocols are plugins and allow modular installment, configuration,
and usage without the main application knowing anything about the plugin
being loaded.

The goal of Kopete is to provide users with a standard and easy to use
interface between all of their instant messaging systems, but at the same
time also providing developers with the ease of writing plugins to support
a new protocol.

The core Kopete development team provides a handful of plugins that most
users can use, in addition to templates for new developers to base a
plugin off of.


%package -n lisa
Group:      Graphical desktop/KDE
Summary:    Lisa server
Requires:	kdenetwork-common >= %{epoch}:%version-%release
Conflicts:  kdenetwork-common <= 3.1.3-37mdk

%description -n lisa
LISa is intended to provide a kind of "network neighbourhood" but only
relying on the TCP/IP protocol stack, no smb or whatever.

%package -n kdenetwork-ktalk 
Group:      Graphical desktop/KDE
Summary:    Ktalk program
Provides:	ktalk
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n kdenetwork-ktalk
ktalk is a graphical talk client capable of multiple connections. It contains 
an addressbook and provides word-wrap, copy and paste, configurable fonts, 
ping, and file transfer. 

%package -n kdenetwork-kppp
Group:      Graphical desktop/KDE
Summary:    Dialer and front end for pppd
Requires:   ppp
Provides:	kppp
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n kdenetwork-kppp
Kppp is a dialer and front end for pppd.


%package -n kdenetwork-ksirc
Group:      Graphical desktop/KDE
Summary:    KDE IRC
Requires:   %lib_name-ksirc = %{epoch}:%version-%release
Provides:	ksirc
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n kdenetwork-ksirc
KDE internet relay chat client.

%package -n %lib_name-ksirc
Group:      Graphical desktop/KDE
Summary:    Librairies for ksirc
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk

%description -n %lib_name-ksirc
Libraries for ksirc




%package -n kdenetwork-kwifimanager
Group:      Graphical desktop/KDE
Summary:    KWifimanager
Requires:   %lib_name-kwifimanager = %{epoch}:%version-%release
Provides:	kwifimanager
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd
Requires:	wireless-tools

%description -n kdenetwork-kwifimanager
A wireless LAN connection monitor.

%package -n %lib_name-kwifimanager
Group:      Graphical desktop/KDE
Summary:    Librairies for kwifimanager
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
BuildRequires:	wireless-tools


%description -n %lib_name-kwifimanager
Libraries for kwifimanager



%package -n kdenetwork-kdict
Group:      Graphical desktop/KDE
Summary:    Kdict program
Provides:	kdict
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n kdenetwork-kdict
Kdict is a graphical client for the DICT Protocol. It enables you 
to search through dictionary-like databases for a word or phrase, then 
displays suitable definitions. 


%package -n kdenetwork-kget
Group:      Graphical desktop/KDE
Summary:    Kget program
Provides:	kget
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n kdenetwork-kget
An advanced download manager for KDE.


%package -n kdenetwork-krfb
Group:      Graphical desktop/KDE
Summary:    Krfb, Krdc program
Provides:   krdc, krfb 
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n kdenetwork-krfb
KDE Desktop Sharing allows you to invite somebody at a remote 
location to watch and possibly control your desktop.





%package -n kdenetwork-knewsticker
Group:      Graphical desktop/KDE
Summary:    RDF newsticker applet
Provides:	knewsticker
Requires:	%lib_name-knewsticker = %{epoch}:%version-%release
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:	kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n kdenetwork-knewsticker
Knewsticker: RDF newsticker applet

%package -n %lib_name-knewsticker
Group:      Graphical desktop/KDE
Summary:    Librarie for knewsticker
Conflicts:  kdenetwork <= 3.1-31mdk
Conflicts:  kdepim <= 3.1.92
Conflicts:  kdenetwork-common <= 3.1.3-37mdk
Obsoletes:  kdenetwork-kxmlrpcd, %lib_name-kxmlrpcd

%description -n %lib_name-knewsticker
Librairie for knewsticker

%prep
%setup -q

%patch100 -p1 -b .fix_ksirc_dont_autosavehistory

%patch101 -p1 -b .fix_kopete_crash

%patch102 -p1 -b .kwifimanager_close_trayicon

%patch103 -p1 -b .fix_kopete_oscar_protocol_crash

%patch104 -p1 -b .fix_add_rss_source

%build

%if %buildfor9_2 || %buildfor9_1 || %buildfor10_0
make -f admin/Makefile.common cvs
%endif

export QTDIR=%qtdir
export KDEDIR=%_prefix

export LD_LIBRARY_PATH="$QTDIR:/%_lib:$LD_LIBRARY_PATH"
export PATH="$KDEDIR/bin:$PATH"

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure scripts below
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif
	./configure --prefix=%_prefix \
		    --libdir=%_libdir \
	            --sysconfdir=%_sysconfdir \
	            --build=%_target_platform \
		    --host=%_target_platform \
%if %unstable
			--enable-debug=full \
%else
			--disable-debug \
%endif			
		    --enable-shared \
%if %use_enable_final
			--enable-final \
%else
			--disable-final \
%endif					
		    --disable-static \
		    --disable-qt-embedded \
		    --disable-palm-top \
		    --disable-rpath \
		    --with-gnu-ld \
		    --with-pic \
		    --with-xinerama \
                    --x-includes=/usr/X11R6/include \
                    --x-libraries=/usr/X11R6/%_lib

%make


%install
rm -fr %buildroot
# David - 3.0-0.beta1.4mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install DESTDIR=%buildroot

install -d -m 0755 %buildroot/etc/rc.d/init.d
install -m 0755 %SOURCE2 %buildroot/etc/rc.d/init.d/lisa


install -d -m 0755 %buildroot/%_sysconfdir/pam.d/
install -m 0644 %SOURCE1 %buildroot/%_sysconfdir/pam.d/kppp

chmod u+s %buildroot/%_bindir/kppp

# Create LMDK menu structure
install -d -m 0755 %buildroot/%_menudir/


# %%_datadir/applnk/.hidden
kdedesktop2mdkmenu.pl lisa .hidden %buildroot/%_datadir/applnk/.hidden/kcmkiolan.desktop %buildroot/%_menudir/kdenetwork-kcmkiolan kde
kdedesktop2mdkmenu.pl lisa .hidden %buildroot/%_datadir/applnk/.hidden/kcmlisa.desktop %buildroot/%_menudir/kdenetwork-kcmlisa kde
kdedesktop2mdkmenu.pl lisa .hidden %buildroot/%_datadir/applnk/.hidden/kcmreslisa.desktop %buildroot/%_menudir/kdenetwork-kcmreslisa kde
kdedesktop2mdkmenu.pl kdenetwork-knewsticker .hidden %buildroot/%_datadir/applnk/.hidden/knewstickerstub.desktop %buildroot/%_menudir/kdenetwork-knewstickerstub kde

# %%_datadir/applnk/Internet/
kdedesktop2mdkmenu.pl kdenetwork-kget "Networking/File transfer" %buildroot/%_datadir/applications/kde/kget.desktop %buildroot/%_menudir/kdenetwork-kget
kdedesktop2mdkmenu.pl kdenetwork-kppp "Networking/Remote access" %buildroot/%_datadir/applications/kde/Kppp.desktop %buildroot/%_menudir/kdenetwork-kppp
kdedesktop2mdkmenu.pl kdenetwork-krfb "Networking/Remote access" %buildroot/%_datadir/applications/kde/krdc.desktop %buildroot/%_menudir/kdenetwork-krdc
kdedesktop2mdkmenu.pl kdenetwork-ksirc Networking/IRC %buildroot/%_datadir/applications/kde/ksirc.desktop %buildroot/%_menudir/kdenetwork-ksirc kde
kdedesktop2mdkmenu.pl kdenetwork-knewsticker Internet/Other %buildroot/%_datadir/applications/kde/knewsticker-standalone.desktop %buildroot/%_menudir/kdenetwork-knewsticker-standalone
kdedesktop2mdkmenu.pl kdenetwork-kppp "Networking/Remote access" %buildroot/%_datadir/applications/kde/kppplogview.desktop %buildroot/%_menudir/kdenetwork-kppplogview
kdedesktop2mdkmenu.pl kdenetwork-ktalk Configuration/KDE/Network %buildroot/%_datadir/applications/kde/kcmktalkd.desktop %buildroot/%_menudir/kdenetwork-kcmktalkd kde 
                                                                                                      
kdedesktop2mdkmenu.pl kdenetwork-krfb Configuration/KDE/Network %buildroot/%_datadir/applications/kde/kcmkrfb.desktop %buildroot/%_menudir/kdenetwork-kcmkrfb kde  
kdedesktop2mdkmenu.pl kdenetwork-rfb "Networking/Remote access" %buildroot/%_datadir/applications/kde/krfb.desktop %buildroot/%_menudir/kdenetwork-krfb kde
kdedesktop2mdkmenu.pl kdenetwork-kdict "Office/Accessories" %buildroot/%_datadir/applications/kde/kdict.desktop %buildroot/%_menudir/kdenetwork-kdict
kdedesktop2mdkmenu.pl kdenetwork-kwifimanager Configuration/KDE/Network %buildroot/%_datadir/applications/kde/kcmwifi.desktop %buildroot/%_menudir/kdenetwork-kcmwifi kde
perl -pi -e "s|kwifimanager_kcmodule.png|network.png|" %buildroot/%_menudir/kdenetwork-kcmwifi

kdedesktop2mdkmenu.pl kdenetwork-kwifimanager System/Monitoring %buildroot/%_datadir/applications/kde/kwifimanager.desktop %buildroot/%_menudir/kdenetwork-kwifimanager kde
perl -pi -e "s|kwifimanager.png|monitoring_section.png|" %buildroot/%_menudir/kdenetwork-kwifimanager
kdedesktop2mdkmenu.pl kdenetwork-kopete "Networking/Instant messaging" %buildroot/%_datadir/applnk/Internet/kopete.desktop %buildroot/%_menudir/kdenetwork-kopete




createmdkmenu.sh  %buildroot/%_datadir/applications/kde/kcmkrfb.desktop Configuration-KDE-Network-mdk kde
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/kcmktalkd.desktop Configuration-KDE-Network-mdk kde
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/kdict.desktop Text-Tools-mdk
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/kget.desktop File-transfert-mdk
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/knewsticker-standalone.desktop News-mdk
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/Kppp.desktop Remote-access-mdk 
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/kppplogview.desktop Remote-access-mdk
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/krdc.desktop Remote-access-mdk 
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/krfb.desktop Remote-access-mdk
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/ksirc.desktop Irc-mdk
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/kcmwifi.desktop Configuration-KDE-Network-mdk kde
createmdkmenu.sh  %buildroot/%_datadir/applications/kde/kwifimanager.desktop Configuration-KDE-Network-mdk kde
createmdkmenu.sh  %buildroot/%_datadir/applnk/Internet/kopete.desktop Instant-messaging-mdk

####cp -f %buildroot/%_datadir/applnk/Internet/kopete.desktop %buildroot/%_datadir/applications/kde/

%post
/sbin/ldconfig
%update_menus

%postun
/sbin/ldconfig
%clean_menus

%post -n %lib_name-common -p /sbin/ldconfig

%postun -n %lib_name-common -p /sbin/ldconfig

%post -n %lib_name-common-devel -p /sbin/ldconfig

%postun -n %lib_name-common-devel -p /sbin/ldconfig


%post -n lisa
/sbin/ldconfig
%update_menus
%_post_service lisa

%preun -n lisa
%_preun_service lisa

%postun -n lisa
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-kppp
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kppp
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-krfb
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-krfb
/sbin/ldconfig
%clean_menus



%post -n kdenetwork-ksirc
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-ksirc
/sbin/ldconfig
%clean_menus



%post -n kdenetwork-ktalk
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-ktalk
/sbin/ldconfig
%clean_menus

%post -n kdenetwork-kdict
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kdict
/sbin/ldconfig
%clean_menus


%post -n kdenetwork-kget
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kget
/sbin/ldconfig
%clean_menus



%post -n kdenetwork-knewsticker
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-knewsticker
/sbin/ldconfig
%clean_menus

%post -n %lib_name-knewsticker -p /sbin/ldconfig

%postun -n %lib_name-knewsticker -p /sbin/ldconfig


%post -n kdenetwork-kwifimanager
/sbin/ldconfig
%update_menus

%postun -n kdenetwork-kwifimanager
/sbin/ldconfig
%clean_menus

%post -n %lib_name-kwifimanager -p /sbin/ldconfig

%postun -n %lib_name-kwifimanager -p /sbin/ldconfig



%post kopete
/sbin/ldconfig
%update_menus

%postun kopete
/sbin/ldconfig
%clean_menus

%post -n %lib_name-kopete-devel -p /sbin/ldconfig

%postun -n %lib_name-kopete-devel -p /sbin/ldconfig

%post -n %lib_name-kopete -p /sbin/ldconfig

%postun -n %lib_name-kopete -p /sbin/ldconfig


%clean
rm -fr %buildroot

%files




%files common
%defattr(-,root,root,-)
#
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
#
#%_datadir/applications/kde/*.desktop
#

#%_datadir/applnk/.hidden/kcmnewsticker.desktop
%_datadir/applnk/.hidden/knewstickerstub.desktop



%dir %_docdir/HTML/en/kpf/
%doc %_docdir/HTML/en/kpf/common
%doc %_docdir/HTML/en/kpf/*.docbook
%doc %_docdir/HTML/en/kpf/*.bz2
#
#
%dir %_docdir/HTML/en/kwifimanager/
%doc %_docdir/HTML/en/kwifimanager/common
%doc %_docdir/HTML/en/kwifimanager/*.docbook
%doc %_docdir/HTML/en/kwifimanager/*.bz2

%_bindir/feedbrowser
%_bindir/rssclient
%_bindir/rssservice


#
%dir %_datadir/apps/
#
#
%dir %_datadir/apps/kicker/
%dir %_datadir/apps/kicker/applets/
%_datadir/apps/kicker/applets/kpfapplet.desktop
#


#
#
#
#
%_datadir/icons/crystalsvg/16x16/apps/kpf.png
%_datadir/icons/crystalsvg/32x32/apps/kpf.png
%_datadir/icons/crystalsvg/48x48/apps/kpf.png
#
#%dir %_datadir/services/
#%_datadir/services/kfile_rfc822.desktop

%_datadir/services/kntsrcfilepropsdlg.desktop
%_datadir/services/kpfpropertiesdialogplugin.desktop

#


#
#


%files knewsticker
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/knewsticker/
%doc %_docdir/HTML/en/knewsticker/common
%doc %_docdir/HTML/en/knewsticker/TODO
%doc %_docdir/HTML/en/knewsticker/*.docbook
%doc %_docdir/HTML/en/knewsticker/*.png
%doc %_docdir/HTML/en/knewsticker/*.bz2
%_bindir/knewstickerstub 

#%_menudir/kdenetwork-kcmnewsticker

%_menudir/kdenetwork-knewsticker-standalone
%_menudir/kdenetwork-knewstickerstub
%_datadir/applications/kde/knewsticker-standalone.desktop


%dir %_datadir/apps/knewsticker/
%_datadir/apps/knewsticker/eventsrc
%_datadir/apps/kicker/applets/knewsticker.desktop

%dir %_datadir/apps/kconf_update/
%_datadir/apps/kconf_update/knewsticker.upd
%_datadir/apps/kconf_update/knt-0.1-0.2.pl


%_iconsdir/crystalsvg/16x16/apps/knewsticker.png
%_iconsdir/crystalsvg/32x32/apps/knewsticker.png
%_iconsdir/crystalsvg/48x48/apps/knewsticker.png


%files -n %lib_name-knewsticker
%defattr(-,root,root,-)
%_libdir/kde3/knewsticker_panelapplet.la
%_libdir/kde3/knewsticker_panelapplet.so
%_libdir/kde3/libkntsrcfilepropsdlg.la
%_libdir/kde3/libkntsrcfilepropsdlg.so



%files krfb
%defattr(-,root,root,-)
%_bindir/krdc         
%_bindir/krfb         
%_bindir/krfb_httpd

%_menudir/kdenetwork-kcmkrfb
%_menudir/kdenetwork-krfb
%_menudir/kdenetwork-krdc


%_datadir/services/vnc.protocol
%_datadir/services/kinetd_krfb.desktop

%dir %_datadir/apps/kinetd/
%_datadir/apps/kinetd/eventsrc

%dir %_docdir/HTML/en/krfb/
%doc %_docdir/HTML/en/krfb/common
%doc %_docdir/HTML/en/krfb/*.bz2
%doc %_docdir/HTML/en/krfb/*.docbook
%doc %_docdir/HTML/en/krfb/*.png
%doc %_docdir/HTML/en/krfb/*.eps

%dir %_docdir/HTML/en/krdc/
%doc %_docdir/HTML/en/krdc/common
%doc %_docdir/HTML/en/krdc/*.bz2
%doc %_docdir/HTML/en/krdc/*.docbook
%doc %_docdir/HTML/en/krdc/*.png
%doc %_docdir/HTML/en/krdc/*.eps

#%_datadir/services/alias.desktop


%_datadir/applications/kde/kcmkrfb.desktop
%_datadir/applications/kde/krdc.desktop
%_datadir/applications/kde/krfb.desktop


%dir %_datadir/apps/krfb/
%_datadir/apps/krfb/eventsrc
%dir %_datadir/apps/krdc/rdp-keymaps/
%_datadir/apps/krdc/rdp-keymaps/*

%dir %_datadir/apps/krfb/pics/
%_datadir/apps/krfb/pics/*.png

%dir %_datadir/apps/krdc/
%dir %_datadir/apps/krdc/pics/
%_datadir/apps/krdc/pics/*.png

%_libdir/kde3/kcm_krfb.la        
%_libdir/kde3/kcm_krfb.so
%_libdir/kde3/kded_kinetd.la        
%_libdir/kde3/kded_kinetd.so

%_iconsdir/locolor/16x16/apps/krfb.png
%_iconsdir/locolor/32x32/apps/krfb.png

%_iconsdir/crystalsvg/32x32/apps/krdc.png
%_iconsdir/crystalsvg/32x32/apps/krfb.png
%_iconsdir/crystalsvg/48x48/apps/krdc.png
%_iconsdir/crystalsvg/48x48/apps/krfb.png


%_datadir/servicetypes/kinetdmodule.desktop
%_datadir/services/kded/kinetd.desktop
%_datadir/services/kinetd_krfb_httpd.desktop
# FIXME !!!!
#%_datadir/services/testbed.desktop

%files kget
%defattr(-,root,root,-)
%dir %_datadir/apps/kget/
%_datadir/apps/kget/*.rc
%_bindir/kget             

%_menudir/kdenetwork-kget

%_libdir/kde3/khtml_kget.la
%_libdir/kde3/khtml_kget.so

%_datadir/applications/kde/kget.desktop

%dir %_datadir/apps/kget/pics/
%_datadir/apps/kget/pics/*.png

%dir %_datadir/apps/kget/sounds/
%_datadir/apps/kget/sounds/*.wav

%dir %_datadir/apps/kget/icons/
%dir %_datadir/apps/kget/icons/crystalsvg/
%dir %_datadir/apps/kget/icons/crystalsvg/22x22/
%dir %_datadir/apps/kget/icons/crystalsvg/22x22/actions/
%_datadir/apps/kget/icons/crystalsvg/22x22/actions/*.png

%dir %_datadir/mimelnk/
%dir %_datadir/mimelnk/application/
%_datadir/mimelnk/application/x-kgetlist.desktop

%_datadir/apps/khtml/kpartplugins/kget_plug_in.rc

%_iconsdir/crystalsvg/22x22/actions/khtml_kget.png
%_iconsdir/crystalsvg/48x48/apps/kget.png
%_iconsdir/crystalsvg/48x48/mimetypes/kget_list.png


%dir %_docdir/HTML/en/kget/
%doc %_docdir/HTML/en/kget/common
%doc %_docdir/HTML/en/kget/*.png
%doc %_docdir/HTML/en/kget/*.bz2
%doc %_docdir/HTML/en/kget/*.docbook




%files kdict
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/kdict/
%doc %_docdir/HTML/en/kdict/common
%doc %_docdir/HTML/en/kdict/*.docbook
%doc %_docdir/HTML/en/kdict/*.png
%doc %_docdir/HTML/en/kdict/*.bz2
%_bindir/kdict            
%_menudir/kdenetwork-kdict

%dir %_datadir/apps/kdict/
%_datadir/apps/kdict/kdictui.rc
#
%dir %_datadir/apps/kdict/icons/
%dir %_datadir/apps/kdict/icons/crystalsvg/
%dir %_datadir/apps/kdict/icons/crystalsvg/16x16/
%dir %_datadir/apps/kdict/icons/crystalsvg/16x16/actions/
%_datadir/apps/kdict/icons/crystalsvg/16x16/actions/*.png
%dir %_datadir/apps/kdict/icons/crystalsvg/22x22/
%dir %_datadir/apps/kdict/icons/crystalsvg/22x22/actions/
%_datadir/apps/kdict/icons/crystalsvg/22x22/actions/*.png
%dir %_datadir/apps/kdict/icons/crystalsvg/32x32/
%dir %_datadir/apps/kdict/icons/crystalsvg/32x32/actions/
%_datadir/apps/kdict/icons/crystalsvg/32x32/actions/*.png

%_datadir/applications/kde/kdict.desktop

#%_menudir/kdenetwork-kdict          

%_libdir/kde3/kdict_panelapplet.la
%_libdir/kde3/kdict_panelapplet.so

%_datadir/apps/kicker/applets/kdictapplet.desktop

%_iconsdir/crystalsvg/16x16/apps/kdict.png
%_iconsdir/crystalsvg/32x32/apps/kdict.png
%_iconsdir/crystalsvg/48x48/apps/kdict.png
%_iconsdir/crystalsvg/64x64/apps/kdict.png
%_iconsdir/crystalsvg/128x128/apps/kdict.png

%files ktalk
%defattr(-,root,root,-)
%dir %_docdir/HTML/en/ktalkd/
%doc %_docdir/HTML/en/ktalkd/common
%doc %_docdir/HTML/en/ktalkd/*.docbook
%doc %_docdir/HTML/en/ktalkd/*.bz2

%_libdir/kde3/kcm_ktalkd.la
%_libdir/kde3/kcm_ktalkd.so

%dir %_datadir/sounds/
%_datadir/sounds/ktalkd.wav
%_bindir/ktalkd    
%_bindir/ktalkdlg
%_bindir/mail.local

%_datadir/applications/kde/kcmktalkd.desktop
%_datadir/config/ktalkdrc

%_menudir/kdenetwork-kcmktalkd

%dir %_docdir/HTML/en/kcontrol/
%dir %_docdir/HTML/en/kcontrol/kcmtalkd/
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/common
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/*.bz2
%doc %_docdir/HTML/en/kcontrol/kcmtalkd/*.docbook


%_iconsdir/crystalsvg/16x16/apps/ktalkd.png
%_iconsdir/crystalsvg/32x32/apps/ktalkd.png
%_iconsdir/crystalsvg/48x48/apps/ktalkd.png
%_iconsdir/crystalsvg/128x128/apps/ktalkd.png



%files -n %lib_name-common
%defattr(-,root,root,-)
%_libdir/librss.la
%_libdir/librss.so.*



#
#

%_libdir/kde3/kpf_panelapplet.la
%_libdir/kde3/kpf_panelapplet.so
# %_libdir/kde3/kfile_rfc822.la      
%_libdir/kde3/kpfpropertiesdialog.la
#%_libdir/kde3/kfile_rfc822.so      
%_libdir/kde3/kpfpropertiesdialog.so




%files -n %lib_name-common-devel
%defattr(-,root,root,-)
%_libdir/librss.so

%dir %_includedir/rss/
%_includedir/rss/*.h

%files -n %lib_name-kopete
%defattr(-, root, root)
%_libdir/libkopete*.so.*
%_libdir/libkopete*.la
%_libdir/kconf_update_bin/kopete-account-kconf_update
%_libdir/kconf_update_bin/kopete-pluginloader2-kconf_update


%files -n %lib_name-kopete-devel
%defattr(-, root, root)
%_libdir/libkopete*.so

%files kopete
%defattr(-,root,root,-)

%_datadir/applnk/Internet/kopete.desktop
%_menudir/kdenetwork-kopete
#%_datadir/applications/kde/kopete.desktop

%dir %_docdir/HTML/en/kopete
%doc %_docdir/HTML/en/kopete/common
%doc %_docdir/HTML/en/kopete/*.docbook
%doc %_docdir/HTML/en/kopete/*.bz2

%dir %_datadir/apps/kopete/
%_datadir/apps/kopete/*.rc
%_datadir/apps/kopete/eventsrc

%_bindir/kopete
#%_bindir/kconf_update_bin/*

%dir %_datadir/apps/kopeterichtexteditpart/
%_datadir/apps/kopeterichtexteditpart/*.rc

%_datadir/apps/kconf_update/kopete-*

%_libdir/kde3/kopete_*.la
%_libdir/kde3/kopete_*.so

%_libdir/kde3/kcm_kopete_*.la
%_libdir/kde3/kcm_kopete_*.so

%_libdir/kde3/libkrichtexteditpart.la
%_libdir/kde3/libkrichtexteditpart.so

%_datadir/services/kconfiguredialog/kopete_*
%_datadir/sounds/*.ogg

%_datadir/servicetypes/kopete*.desktop
%_datadir/services/kopete*.desktop

%dir %_datadir/apps/kopete/icons/
%dir %_datadir/apps/kopete/icons/crystalsvg/
%dir %_datadir/apps/kopete/icons/crystalsvg/16x16/
%dir %_datadir/apps/kopete/icons/crystalsvg/16x16/actions/
%_datadir/apps/kopete/icons/crystalsvg/16x16/actions/*.png

%dir %_datadir/apps/kopete/icons/crystalsvg/16x16/apps/
%_datadir/apps/kopete/icons/crystalsvg/16x16/apps/*.png

%dir %_datadir/apps/kopete/icons/crystalsvg/22x22/
%dir %_datadir/apps/kopete/icons/crystalsvg/22x22/actions/
%_datadir/apps/kopete/icons/crystalsvg/22x22/actions/*.png


%dir %_datadir/apps/kopete/icons/crystalsvg/32x32/
%dir %_datadir/apps/kopete/icons/crystalsvg/32x32/actions/
%_datadir/apps/kopete/icons/crystalsvg/32x32/actions/*.png


%dir %_datadir/apps/kopete/icons/crystalsvg/32x32/apps/
%_datadir/apps/kopete/icons/crystalsvg/32x32/apps/*.png

%dir %_datadir/apps/kopete/icons/crystalsvg/48x48/
%dir %_datadir/apps/kopete/icons/crystalsvg/48x48/apps/
%dir %_datadir/apps/kopete/icons/crystalsvg/48x48/actions
%_datadir/apps/kopete/icons/crystalsvg/48x48/actions/*.png
%_datadir/apps/kopete/icons/crystalsvg/48x48/apps/*.png

%dir %_datadir/apps/kopete/pics/
%dir %_datadir/apps/kopete/pics/emoticons/
%dir %_datadir/apps/kopete/pics/emoticons/Boxed/
%_datadir/apps/kopete/pics/emoticons/Boxed/*.png
%_datadir/apps/kopete/pics/emoticons/Boxed/*.xml

%dir %_datadir/apps/kopete/pics/emoticons/Default/
%_datadir/apps/kopete/pics/emoticons/Default/*.png
%_datadir/apps/kopete/pics/emoticons/Default/*.xml

%dir %_datadir/apps/kopete/pics/emoticons/KMess-Blue/
%_datadir/apps/kopete/pics/emoticons/KMess-Blue/*.png
%_datadir/apps/kopete/pics/emoticons/KMess-Blue/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/KMess-Cartoon/
%_datadir/apps/kopete/pics/emoticons/KMess-Cartoon/*.png
%_datadir/apps/kopete/pics/emoticons/KMess-Cartoon/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/KMess-Violet/
%_datadir/apps/kopete/pics/emoticons/KMess-Violet/*.png
%_datadir/apps/kopete/pics/emoticons/KMess-Violet/*.xml

%dir %_datadir/apps/kopete/pics/emoticons/KMess/
%_datadir/apps/kopete/pics/emoticons/KMess/*.png
%_datadir/apps/kopete/pics/emoticons/KMess/*.xml

%dir %_datadir/apps/kopete/pics/emoticons/Plain/
%_datadir/apps/kopete/pics/emoticons/Plain/*.png
%_datadir/apps/kopete/pics/emoticons/Plain/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/RedOnes/
%_datadir/apps/kopete/pics/emoticons/RedOnes/*.png
%_datadir/apps/kopete/pics/emoticons/RedOnes/*.xml

%dir %_datadir/apps/kopete/pics/emoticons/Yazoo-Smileys-16/
%_datadir/apps/kopete/pics/emoticons/Yazoo-Smileys-16/*.png
%_datadir/apps/kopete/pics/emoticons/Yazoo-Smileys-16/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/Yazoo-Smileys-22/
%_datadir/apps/kopete/pics/emoticons/Yazoo-Smileys-22/*.png
%_datadir/apps/kopete/pics/emoticons/Yazoo-Smileys-22/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/ccmathteam.com/
%_datadir/apps/kopete/pics/emoticons/ccmathteam.com/*.png
%_datadir/apps/kopete/pics/emoticons/ccmathteam.com/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/greggman.com/
%_datadir/apps/kopete/pics/emoticons/greggman.com/*.png
%_datadir/apps/kopete/pics/emoticons/greggman.com/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/phpBB/
%_datadir/apps/kopete/pics/emoticons/phpBB/*.png
%_datadir/apps/kopete/pics/emoticons/phpBB/*.xml
%dir %_datadir/apps/kopete/pics/emoticons/tweakers.net/
%_datadir/apps/kopete/pics/emoticons/tweakers.net/*.png
%_datadir/apps/kopete/pics/emoticons/tweakers.net/emoticons.xml
%dir %_datadir/apps/kopete/styles/
%_datadir/apps/kopete/styles/*.xsl
%dir %_datadir/apps/kopete/webpresence/
%_datadir/apps/kopete/webpresence/*.xsl

%dir %_datadir/apps/kopete_history/
%_datadir/apps/kopete_history/*.rc

%dir %_datadir/apps/kopete_contactnotes/
%_datadir/apps/kopete_contactnotes/*.rc

%dir %_datadir/apps/kopete_translator/
%_datadir/apps/kopete_translator/*.rc

%dir %_datadir/apps/kopete_cryptography/
%_datadir/apps/kopete_cryptography/*.rc

%_datadir/services/chatwindow.desktop
%_datadir/services/rdp.protocol
%_datadir/services/rssservice.desktop

%_iconsdir/crystalsvg/128x128/apps/kopete.png
%_iconsdir/crystalsvg/16x16/apps/kopete.png
%_iconsdir/crystalsvg/22x22/apps/kopete.png
%_iconsdir/crystalsvg/32x32/apps/kopete.png
%_iconsdir/crystalsvg/48x48/apps/kopete.png
%_iconsdir/crystalsvg/64x64/apps/kopete.png

%dir %_datadir/apps/kopete/icons/
%dir %_datadir/apps/kopete/icons/crystalsvg/
%dir %_datadir/apps/kopete/icons/crystalsvg/16x16/
%dir %_datadir/apps/kopete/icons/crystalsvg/16x16/actions/
%_datadir/apps/kopete/icons/crystalsvg/16x16/actions/*.mng
%dir %_datadir/apps/kopete/icons/crystalsvg/32x32/
%dir %_datadir/apps/kopete/icons/crystalsvg/32x32/actions/
%_datadir/apps/kopete/icons/crystalsvg/32x32/actions/*.mng

%dir %_datadir/apps/kopete/icons/crystalsvg/128x128
%dir %_datadir/apps/kopete/icons/crystalsvg/128x128/apps/
%_datadir/apps/kopete/icons/crystalsvg/128x128/apps/aim_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/128x128/apps/icq_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/128x128/apps/msn_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/128x128/apps/sms_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/128x128/apps/yahoo_protocol.png

%dir %_datadir/apps/kopete/icons/crystalsvg/64x64/
%dir %_datadir/apps/kopete/icons/crystalsvg/64x64/apps/
%_datadir/apps/kopete/icons/crystalsvg/64x64/apps/aim_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/64x64/apps/icq_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/64x64/apps/msn_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/64x64/apps/sms_protocol.png
%_datadir/apps/kopete/icons/crystalsvg/64x64/apps/yahoo_protocol.png



%files -n kdenetwork-kwifimanager
%defattr(-,root,root,-)
%_bindir/kwifimanager

%_datadir/applications/kde/kcmwifi.desktop
%_datadir/applications/kde/kwifimanager.desktop

%_menudir/kdenetwork-kcmwifi
%_menudir/kdenetwork-kwifimanager
		 
%_datadir/apps/kicker/applets/kwireless.desktop

%dir %_datadir/apps/kwifimanager/
%dir %_datadir/apps/kwifimanager/locations/
%_datadir/apps/kwifimanager/locations/*.loc
%dir %_datadir/apps/kwifimanager/pics/
%_datadir/apps/kwifimanager/pics/*.png


%files -n %lib_name-kwifimanager
%defattr(-,root,root,-)
%_libdir/kde3/kcm_kwifimanager.la
%_libdir/kde3/kcm_kwifimanager.so

%_libdir/libkwireless.la
%_libdir/libkwireless.so


%files -n kdenetwork-ksirc
%defattr(-,root,root,-)

%_datadir/applications/kde/ksirc.desktop

%_menudir/kdenetwork-ksirc

%dir %_docdir/HTML/en/ksirc/
%doc %_docdir/HTML/en/ksirc/common
%doc %_docdir/HTML/en/ksirc/*.docbook
%doc %_docdir/HTML/en/ksirc/*.bz2

%_bindir/ksirc     
%_bindir/dsirc            

%_datadir/config/ksircrc

%_libdir/kde3/ksirc.so
%_libdir/kde3/ksirc.la


%dir %_datadir/apps/ksirc/
%_datadir/apps/ksirc/relnotes
%_datadir/apps/ksirc/*.gz
%_datadir/apps/ksirc/*.ini
%_datadir/apps/ksirc/*.pl
%_datadir/apps/ksirc/*.txt
%_datadir/apps/ksirc/eventsrc
#
%dir %_datadir/apps/ksirc/pics/
%_datadir/apps/ksirc/pics/*.png
%_datadir/apps/ksirc/pics/*.xpm
%dir %_datadir/apps/ksirc/pics/emoticons/
%_datadir/apps/ksirc/pics/emoticons/*.png

%_iconsdir/crystalsvg/16x16/apps/ksirc.png
%_iconsdir/crystalsvg/32x32/apps/ksirc.png
%_iconsdir/crystalsvg/48x48/apps/ksirc.png
%_iconsdir/crystalsvg/64x64/apps/ksirc.png
			   

%dir %_datadir/apps/ksirc/icons/
%dir %_datadir/apps/ksirc/icons/crystalsvg/
%dir %_datadir/apps/ksirc/icons/crystalsvg/16x16/
%dir %_datadir/apps/ksirc/icons/crystalsvg/16x16/apps/
%_datadir/apps/ksirc/icons/crystalsvg/16x16/apps/ksirc.png
%dir %_datadir/apps/ksirc/icons/crystalsvg/22x22/
%dir %_datadir/apps/ksirc/icons/crystalsvg/22x22/actions/
%_datadir/apps/ksirc/icons/crystalsvg/22x22/actions/info.png
%_datadir/apps/ksirc/icons/crystalsvg/22x22/actions/ksirc_dock.png
%dir %_datadir/apps/ksirc/icons/crystalsvg/32x32/
%dir %_datadir/apps/ksirc/icons/crystalsvg/32x32/apps/
%_datadir/apps/ksirc/icons/crystalsvg/32x32/apps/ksirc.png
%dir %_datadir/apps/ksirc/icons/crystalsvg/48x48/
%dir %_datadir/apps/ksirc/icons/crystalsvg/48x48/apps/
%_datadir/apps/ksirc/icons/crystalsvg/48x48/apps/ksirc.png
%dir %_datadir/apps/ksirc/icons/crystalsvg/64x64/
%dir %_datadir/apps/ksirc/icons/crystalsvg/64x64/apps/
%_datadir/apps/ksirc/icons/crystalsvg/64x64/apps/ksirc.png
		 

%files -n %lib_name-ksirc
%defattr(-,root,root,-)
%_libdir/libkdeinit_ksirc.so
%_libdir/libkdeinit_ksirc.la



%files -n kdenetwork-kppp
%defattr(-,root,root,-)
%dir %_sysconfdir/pam.d/
%config(noreplace) %_sysconfdir/pam.d/kppp

%_menudir/kdenetwork-kppp
%_menudir/kdenetwork-kppplogview

%_bindir/kppp			
%_bindir/kppplogview  



%_datadir/applications/kde/Kppp.desktop
%_datadir/applications/kde/kppplogview.desktop



%dir %_docdir/HTML/en/kppp/
%doc %_docdir/HTML/en/kppp/common
%doc %_docdir/HTML/en/kppp/*.docbook
%doc %_docdir/HTML/en/kppp/*.fig
%doc %_docdir/HTML/en/kppp/*.png
%doc %_docdir/HTML/en/kppp/*.question
%doc %_docdir/HTML/en/kppp/*.txt
%doc %_docdir/HTML/en/kppp/*.bz2

%dir %_datadir/apps/kppp/
%dir %_datadir/apps/kppp/Provider/
%dir %_datadir/apps/kppp/Provider/Austria/
%_datadir/apps/kppp/Provider/Austria/.directory
%_datadir/apps/kppp/Provider/Austria/Simon%032Media
#
%dir %_datadir/apps/kppp/Provider/Czech_Republic/
%_datadir/apps/kppp/Provider/Czech_Republic/.directory
%_datadir/apps/kppp/Provider/Czech_Republic/AICOM
%_datadir/apps/kppp/Provider/Czech_Republic/BohemiaNet  
%_datadir/apps/kppp/Provider/Czech_Republic/ES-servis       
%_datadir/apps/kppp/Provider/Czech_Republic/HP-NET           
%_datadir/apps/kppp/Provider/Czech_Republic/KPNQuest  
%_datadir/apps/kppp/Provider/Czech_Republic/SeverNET
%_datadir/apps/kppp/Provider/Czech_Republic/ARsystem  
%_datadir/apps/kppp/Provider/Czech_Republic/Brailcom    
%_datadir/apps/kppp/Provider/Czech_Republic/Econnect        
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNET_OnLine  
%_datadir/apps/kppp/Provider/Czech_Republic/M-soft    
%_datadir/apps/kppp/Provider/Czech_Republic/Video_OnLine
%_datadir/apps/kppp/Provider/Czech_Republic/ASYS      
%_datadir/apps/kppp/Provider/Czech_Republic/CITYNET     
%_datadir/apps/kppp/Provider/Czech_Republic/Falco_computer  
%_datadir/apps/kppp/Provider/Czech_Republic/INTERNEXT        
%_datadir/apps/kppp/Provider/Czech_Republic/Nextra    
%_datadir/apps/kppp/Provider/Czech_Republic/Volny
%_datadir/apps/kppp/Provider/Czech_Republic/ApexNet   
%_datadir/apps/kppp/Provider/Czech_Republic/Contactel   
%_datadir/apps/kppp/Provider/Czech_Republic/Fortech         
%_datadir/apps/kppp/Provider/Czech_Republic/IQNET            
%_datadir/apps/kppp/Provider/Czech_Republic/ProfiNet
#
%dir %_datadir/apps/kppp/Provider/Denmark/
%_datadir/apps/kppp/Provider/Denmark/.directory
%_datadir/apps/kppp/Provider/Denmark/Get2Net
#
%dir %_datadir/apps/kppp/Provider/Germany/
%_datadir/apps/kppp/Provider/Germany/.directory
%_datadir/apps/kppp/Provider/Germany/CityWeb
%_datadir/apps/kppp/Provider/Germany/FH%032Rhein%032Sieg%032%040Informatik%041
%_datadir/apps/kppp/Provider/Germany/MUC%046DE
%_datadir/apps/kppp/Provider/Germany/Netsurf
#
%dir %_datadir/apps/kppp/Provider/Netherlands/
%_datadir/apps/kppp/Provider/Netherlands/*
%_datadir/apps/kppp/Provider/Netherlands/.directory

%dir %_datadir/apps/kppp/Provider/Belarus/
%_datadir/apps/kppp/Provider/Belarus/*
%_datadir/apps/kppp/Provider/Belarus/.directory

%dir %_datadir/apps/kppp/Provider/France/
%_datadir/apps/kppp/Provider/France/*
%_datadir/apps/kppp/Provider/France/.directory

#
%dir %_datadir/apps/kppp/Provider/NewZealand/
%_datadir/apps/kppp/Provider/NewZealand/.directory
%_datadir/apps/kppp/Provider/NewZealand/OrconInternet
%_datadir/apps/kppp/Provider/NewZealand/Paradise
%_datadir/apps/kppp/Provider/NewZealand/Voyager
%_datadir/apps/kppp/Provider/NewZealand/XTRA
%_datadir/apps/kppp/Provider/NewZealand/ihug
#
%dir %_datadir/apps/kppp/Provider/Norway/
%_datadir/apps/kppp/Provider/Norway/.directory
%_datadir/apps/kppp/Provider/Norway/BGNett
%_datadir/apps/kppp/Provider/Norway/Institutt%032for%032informatikk
#
%dir %_datadir/apps/kppp/Provider/Portugal/
%_datadir/apps/kppp/Provider/Portugal/.directory
%_datadir/apps/kppp/Provider/Portugal/Clix
%_datadir/apps/kppp/Provider/Portugal/Netc
%_datadir/apps/kppp/Provider/Portugal/OniNet
#
%dir %_datadir/apps/kppp/Provider/Sweden/
%_datadir/apps/kppp/Provider/Sweden/.directory
%_datadir/apps/kppp/Provider/Sweden/Utfors
%_datadir/apps/kppp/Provider/Sweden/Tiscali
#
%dir %_datadir/apps/kppp/Provider/Slovenia/
%_datadir/apps/kppp/Provider/Slovenia/AmisNet
%_datadir/apps/kppp/Provider/Slovenia/Arnes
%_datadir/apps/kppp/Provider/Slovenia/Kiss
%_datadir/apps/kppp/Provider/Slovenia/SiOL
%_datadir/apps/kppp/Provider/Slovenia/Volja
%_datadir/apps/kppp/Provider/Slovenia/MojNet
#
%dir %_datadir/apps/kppp/Provider/Taiwan/
%_datadir/apps/kppp/Provider/Taiwan/.directory
%_datadir/apps/kppp/Provider/Taiwan/EraNet
%_datadir/apps/kppp/Provider/Taiwan/HiNet
%_datadir/apps/kppp/Provider/Taiwan/SeedNet
#
%dir %_datadir/apps/kppp/Provider/United_Kingdom/
%_datadir/apps/kppp/Provider/United_Kingdom/.directory
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Green%0322120666
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Purple%0322121666
%_datadir/apps/kppp/Provider/United_Kingdom/UK%032Free%032Software%032Network%032ISDN
%_datadir/apps/kppp/Provider/United_Kingdom/UK%032Free%032Software%032Network%032Modem
%_datadir/apps/kppp/Provider/United_Kingdom/UKPOST%032ISDN
%_datadir/apps/kppp/Provider/United_Kingdom/UKPOST%032Modem
%_datadir/apps/kppp/Provider/United_Kingdom/Demon%032Red%0320798666

%_datadir/apps/kppp/Provider/United_Kingdom/FreeServe

%dir %_datadir/apps/kppp/Provider/Switzerland/
%_datadir/apps/kppp/Provider/Switzerland/.directory
%_datadir/apps/kppp/Provider/Switzerland/Bluewin
#
%dir %_datadir/apps/kppp/Provider/Ukraine/
%_datadir/apps/kppp/Provider/Ukraine/Adamant
%_datadir/apps/kppp/Provider/Ukraine/IPTelecom
%_datadir/apps/kppp/Provider/Ukraine/NuVse
%_datadir/apps/kppp/Provider/Ukraine/.directory
#
%dir %_datadir/apps/kppp/Provider/Yugoslavia/
%_datadir/apps/kppp/Provider/Yugoslavia/BeoTelNet
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Bar.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Berane.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.BijeloPolje.CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Budva.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Cetinje.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.HercegNovi.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Kotor.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Niksic.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Pljevlja.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Podgorica.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Tivat.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.Ulcinj.yu
%_datadir/apps/kppp/Provider/Yugoslavia/CG.yu
%_datadir/apps/kppp/Provider/Yugoslavia/DrenikNet
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetBeograd
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetCacak
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Full
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetKragujevac
%_datadir/apps/kppp/Provider/Yugoslavia/EUnet@Lite
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNis
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetNoviSad
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetPristina
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSombor
%_datadir/apps/kppp/Provider/Yugoslavia/EUnetSubotica
%_datadir/apps/kppp/Provider/Yugoslavia/InfoSKY
%_datadir/apps/kppp/Provider/Yugoslavia/PTT
%_datadir/apps/kppp/Provider/Yugoslavia/SCnet
%_datadir/apps/kppp/Provider/Yugoslavia/Sezampro
%_datadir/apps/kppp/Provider/Yugoslavia/VeratNet
%_datadir/apps/kppp/Provider/Yugoslavia/YUBCnet
%_datadir/apps/kppp/Provider/Yugoslavia/TippNet
%_datadir/apps/kppp/Provider/Yugoslavia/SuOnline
%_datadir/apps/kppp/Provider/Yugoslavia/041Net
#

%dir %_datadir/apps/kppp/Provider/Irland/
%_datadir/apps/kppp/Provider/Irland/.directory
%_datadir/apps/kppp/Provider/Irland/Eircom
%_datadir/apps/kppp/Provider/Irland/IOL
%_datadir/apps/kppp/Provider/Irland/UTV
%_datadir/apps/kppp/Provider/Irland/UVT

#
%dir %_datadir/apps/kppp/Rules/
%_datadir/apps/kppp/Rules/TEMPLATE
%_datadir/apps/kppp/Rules/checkrules
#
%dir %_datadir/apps/kppp/Rules/Argentina/
%_datadir/apps/kppp/Rules/Argentina/*.rst
#
%dir %_datadir/apps/kppp/Rules/Australia/
%_datadir/apps/kppp/Rules/Australia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/
%dir %_datadir/apps/kppp/Rules/Austria/Business_1/
%_datadir/apps/kppp/Rules/Austria/Business_1/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Business_2/
%_datadir/apps/kppp/Rules/Austria/Business_2/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Minimum/
%_datadir/apps/kppp/Rules/Austria/Minimum/*.rst
#
%dir %_datadir/apps/kppp/Rules/Austria/Standard/
%_datadir/apps/kppp/Rules/Austria/Standard/*.rst
#
%dir %_datadir/apps/kppp/Rules/Bangladesh/
%_datadir/apps/kppp/Rules/Bangladesh/*.rst
#
%dir %_datadir/apps/kppp/Rules/Belgium/
%_datadir/apps/kppp/Rules/Belgium/*.rst
#
%dir %_datadir/apps/kppp/Rules/Brasil/
%_datadir/apps/kppp/Rules/Brasil/*.rst

%dir %_datadir/apps/kppp/Rules/Bosnia_and_Herzegovina//
%_datadir/apps/kppp/Rules/Bosnia_and_Herzegovina/*.rst

#
%dir %_datadir/apps/kppp/Rules/Croatia/
%_datadir/apps/kppp/Rules/Croatia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Czechia/
%_datadir/apps/kppp/Rules/Czechia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Denmark/
%_datadir/apps/kppp/Rules/Denmark/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Estonia/
%_datadir/apps/kppp/Rules/Estonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/France/
%_datadir/apps/kppp/Rules/France/*.rst
#
%dir %_datadir/apps/kppp/Rules/Finland/
%_datadir/apps/kppp/Rules/Finland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Germany/
%_datadir/apps/kppp/Rules/Germany/*.rst
#
%dir %_datadir/apps/kppp/Rules/Greece/
%_datadir/apps/kppp/Rules/Greece/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hong_Kong/
%_datadir/apps/kppp/Rules/Hong_Kong/*.rst
#
%dir %_datadir/apps/kppp/Rules/Hungary/
%_datadir/apps/kppp/Rules/Hungary/*.rst
#
%dir %_datadir/apps/kppp/Rules/Iceland/
%_datadir/apps/kppp/Rules/Iceland/*.rst
#
%dir %_datadir/apps/kppp/Rules/India/
%_datadir/apps/kppp/Rules/India/*.rst
#
%dir %_datadir/apps/kppp/Rules/Indonesia/
%_datadir/apps/kppp/Rules/Indonesia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ireland/
%_datadir/apps/kppp/Rules/Ireland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Israel/
%_datadir/apps/kppp/Rules/Israel/*.rst
#
%dir %_datadir/apps/kppp/Rules/Italy/
%_datadir/apps/kppp/Rules/Italy/*.rst
#
%dir %_datadir/apps/kppp/Rules/Jamaica/
%_datadir/apps/kppp/Rules/Jamaica/*.rst
#
%dir %_datadir/apps/kppp/Rules/Japan/
%_datadir/apps/kppp/Rules/Japan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Kazakhstan/
%_datadir/apps/kppp/Rules/Kazakhstan/*.rst
#
%dir %_datadir/apps/kppp/Rules/Luxembourg/
%_datadir/apps/kppp/Rules/Luxembourg/*.rst
#
%dir %_datadir/apps/kppp/Rules/Malaysia/
%_datadir/apps/kppp/Rules/Malaysia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Macedonia/
%_datadir/apps/kppp/Rules/Macedonia/*.rst
#
%dir %_datadir/apps/kppp/Rules/Netherlands/
%_datadir/apps/kppp/Rules/Netherlands/*.rst
%_datadir/apps/kppp/Rules/Netherlands/Cistron
%_datadir/apps/kppp/Rules/Netherlands/Wannadoo_Budget_Plus
#
%dir %_datadir/apps/kppp/Rules/Norway/
%_datadir/apps/kppp/Rules/Norway/*.rst
#
%dir %_datadir/apps/kppp/Rules/Poland/
%_datadir/apps/kppp/Rules/Poland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Portugal/
%_datadir/apps/kppp/Rules/Portugal/*.rst
#
%dir %_datadir/apps/kppp/Rules/Romania/
%_datadir/apps/kppp/Rules/Romania/*.rst
#
#
%dir %_datadir/apps/kppp/Rules/Russia/
%_datadir/apps/kppp/Rules/Russia/*.rst
%_datadir/apps/kppp/Rules/Russia/*.ru
#
%dir %_datadir/apps/kppp/Rules/Singapore/
%_datadir/apps/kppp/Rules/Singapore/*.rst
#
%dir %_datadir/apps/kppp/Rules/Slovakia/
%_datadir/apps/kppp/Rules/Slovakia/*.rst

%dir %_datadir/apps/kppp/Rules/Slovenia/
%_datadir/apps/kppp/Rules/Slovenia/*.rst
#
%dir %_datadir/apps/kppp/Rules/South_Afrika/
%_datadir/apps/kppp/Rules/South_Afrika/*.rst

%dir %_datadir/apps/kppp/Rules/South_Africa/
%_datadir/apps/kppp/Rules/South_Africa/*.rst

#
%dir %_datadir/apps/kppp/Rules/Spain/
%_datadir/apps/kppp/Rules/Spain/*.rst
#
%dir %_datadir/apps/kppp/Rules/Sweden/
%_datadir/apps/kppp/Rules/Sweden/*.rst

%dir %_datadir/apps/kppp/Rules/Switzerland/
%_datadir/apps/kppp/Rules/Switzerland/*.rst
#
%dir %_datadir/apps/kppp/Rules/Turkey/
%_datadir/apps/kppp/Rules/Turkey/*.rst
#
%dir %_datadir/apps/kppp/Rules/United_Kingdom/
%_datadir/apps/kppp/Rules/United_Kingdom/*.rst
#
%dir %_datadir/apps/kppp/Rules/Uruguay/
%_datadir/apps/kppp/Rules/Uruguay/*.rst
#
%dir %_datadir/apps/kppp/Rules/Ukraine/
%_datadir/apps/kppp/Rules/Ukraine/*.rst
%_datadir/apps/kppp/Rules/Ukraine/*.uk
#
%dir %_datadir/apps/kppp/Rules/Yugoslavia/
%_datadir/apps/kppp/Rules/Yugoslavia/*.rst
#
%dir %_datadir/apps/kppp/pics/
%_datadir/apps/kppp/pics/*.png


%_iconsdir/crystalsvg/16x16/apps/kppp.png
%_iconsdir/crystalsvg/32x32/apps/kppp.png
%_iconsdir/crystalsvg/48x48/apps/kppp.png
%_iconsdir/crystalsvg/64x64/apps/kppp.png
%_iconsdir/crystalsvg/128x128/apps/kppp.png

%files -n lisa
%defattr(-,root,root)
%_bindir/lisa
%_bindir/reslisa

%dir %_datadir/applnk/.hidden/
%_datadir/applnk/.hidden/kcmkiolan.desktop
%_datadir/applnk/.hidden/kcmlisa.desktop
%_datadir/applnk/.hidden/kcmreslisa.desktop

%dir %_docdir/HTML/en/kcontrol/lanbrowser/
%doc %_docdir/HTML/en/kcontrol/lanbrowser/common
%doc %_docdir/HTML/en/kcontrol/lanbrowser/*.bz2
%doc %_docdir/HTML/en/kcontrol/lanbrowser/*.docbook


%_menudir/kdenetwork-kcmlisa
%_menudir/kdenetwork-kcmreslisa
%_menudir/kdenetwork-kcmkiolan



%_libdir/kde3/kio_lan.la
%_libdir/kde3/kio_lan.so*

%_libdir/kde3/kcm_lanbrowser.la
%_libdir/kde3/kcm_lanbrowser.so*

%dir %_datadir/services/
%_datadir/services/lan.protocol
%_datadir/services/rlan.protocol

%dir %_datadir/apps/lisa/
%_datadir/apps/lisa/README

%dir %_docdir/HTML/en/lisa
%doc %_docdir/HTML/en/lisa/common
%doc %_docdir/HTML/en/lisa/*.bz2
%doc %_docdir/HTML/en/lisa/*.docbook

%_datadir/apps/konqueror/dirtree/remote/lan.desktop

%config(noreplace) /etc/rc.d/init.d/lisa

%changelog
* Mon Apr 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-17.1.100mdk
- Add patch104: add rss source to knewsticker applet

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-17mdk
- Add patch103: fix oscar crash into oscar protocol bugs #8421 
- Fix group

* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-16mdk
- Add patch101: fix close trayicon for kwifimanager

* Wed Mar 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-15mdk
- Fix kopete crash "kdenetwork-3.2-fix-kopete-crash.patch.bz2" into msn account

* Mon Mar 01 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-14mdk
- Fix buildrequires (Patch from Gb) thanks

* Mon Feb 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-13mdk
- Sync with CVS (kopete)

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-12mdk
- Sync with CVS (crash into kopete)
- Fix kwifimanager icon

* Thu Feb 19 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-11mdk
- Try to fix instll

* Wed Feb 18 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-10mdk
- Sync with CVS (fix kopete/kget crash)

* Tue Feb 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Add patch101: fix launch kcmshell kcmwifi bug found by Arnaud

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Sync with CVS (fix wifi/kopete/knewsticker)
- Fix distlint bug

* Fri Feb 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Sync with CVS (kopete fix)

* Wed Feb 11 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Sync with CVS (kopete fix)

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Fix icon

* Tue Feb 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Fix "menu-without-postun"

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Obsolete kxmlrpcd

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS (fix kopete)
- Fix distint

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- kde3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Change version 

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-6mdk
- Sync with CVS

* Wed Jan 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-5mdk
- Sync with CVS

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-4mdk
- Sync with CVS

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Tue Jan 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- 3.1.95

* Wed Jan 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-13mdk
- Sync with CVS
- Fix duplicate file

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Sync with CVS
- Add use_enable_final variable
- Reverte VFolder menu type to 'menu' menu type

* Wed Jan 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Sync with CVS

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Fix update from MDK9.2

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Wed Dec 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Fix description

* Tue Dec 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Sync with CVS

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Fix requires

* Fri Dec 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS 

* Mon Dec 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- Beta2 from cvs
- Fix group

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-14mdk
- Sync with CVS

* Fri Nov 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-13mdk
- Sync with CVS

* Wed Nov 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-12mdk
- Sync with CVS (a lot of mem leak into kwifimanager)

* Tue Nov 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-11mdk
- Fix kwifimanager requires

* Tue Nov 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-10mdk
- Fix compile wifi

* Mon Nov 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-9mdk
- Sync with CVS

* Thu Nov 13 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Fix conflict

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Fix menu
- Add patch100: don't auto save history by default

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Fix again menu

* Fri Nov 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix menu
- Fix compile with new mandrake release

* Tue Nov 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Sync with CVS

* Fri Oct 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to Vfolder

* Wed Oct 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Mon Oct 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-14mdk
- Sync with CVS

* Wed Oct 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-13mdk
- Sync with CVS

* Sun Oct 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-12mdk
- Sync with CVS

* Fri Oct 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-11mdk
- Add patch8000: fix ksirc don't save history

* Thu Oct 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-10mdk
- Sync with CVS 

* Wed Oct 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-9mdk
- Syn with CVS 

* Sun Oct 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-8mdk
- Sync with CVS

* Sat Oct 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-7mdk
- Sync with CVS

* Fri Oct 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-6mdk
- Sync with CVS

* Wed Oct 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-5mdk
- Sync with CVS 

* Mon Sep 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-4mdk
- Fix conflicts

* Sat Sep 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-3mdk
- Sync with CVS

* Fri Sep 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-2mdk
- Fix obsolete provides

* Wed Sep 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- 3.1.92

* Sat Sep 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Enable-debug=full
- Add support for MDK9.3

* Fri Sep 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Mon Sep 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-39mdk
- Add good description from Vincent Meyer thanks a lot

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-37mdk
- Last fix conflict

* Fri Sep 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-36mdk
- Fix upgrade

* Thu Sep 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-35mdk
- Fix upgrade

* Wed Sep 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-34mdk
- Add patch69: fix kmail found plugins

* Tue Sep 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-33mdk
- Add patch68: fix kmail "Fix mailman's header mangling - missing part"
- Fix kmail ObjectTreeParser and mem leak
- Fix kmail signature dialogbox crash
- Fix kmail : "Use KMMessagePart's member functions were appropriate and 
  decode the subject. This fixes bug 63580 and a lot of other not yet 
  reported bugs."


* Mon Sep 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-32mdk
- Add conflict with kgroupware

* Sat Sep 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-31mdk
- Fix split

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-30mdk
- Fix Build

* Thu Sep 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-29mdk
- Update code (synchronising read*Entry calls of the actual code with those in the configure dialog" in kmail)

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-28mdk
- Fix split

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-27mdk
- Split knewsticker

* Wed Sep 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-26mdk
- Fix typo reported by Vincent Meyer thanks

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-25mdk
- Add patch67: test if kernel exist when kmail crash otherwise, there
  will be an other crash windows :(
- Add patch68: fix bug #63537


* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-24mdk
- Add patch66: use double click to change charset.

* Mon Sep 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-23mdk
- fix knewsticker

* Sun Aug 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-22mdk
- Update code (fix kppp read config)

* Wed Aug 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-21mdk
- Fix spec

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-20mdk
- Fix provides/requires

* Tue Aug 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-19mdk
- Add patch65: fix filterdlg button

* Mon Aug 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-18mdk
- Fix Provide with epoch

* Fri Aug 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-17mdk
- Add support for kppp->Provider->Irlande 

* Thu Aug 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-16mdk
- Fix deps (Gwenole Beauchesne <gbeauchesne@mandrakesoft.com>)

* Wed Aug 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-15mdk
- Fix requires

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-14mdk
- Split again

* Mon Aug 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-13mdk
- Create Meta package

* Mon Aug 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-11mdk
- Add patch62: fix open menu in attachement
- Add some provides
- Add patch63: fix kppp choose modem device
- Update code (fix kppplogview, kmail)

* Fri Aug 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-10mdk
- Split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-9mdk
- Split split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-8mdk
- Continue split

* Thu Aug 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-7mdk
- Split

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-6mdk
- Minor fix for patch60

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-5mdk
- Add patch60: allow to remove multiple attachment document

* Wed Aug 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- __cputoolize
- Fix Requires
- Add patch59: remove configure button in toolbar into kmail

* Tue Aug 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Update code
- Add patch58: fix spell check when we cancel spell check

* Wed Jul 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-2mdk
- Fix Obsolete/Requires

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-16mdk
- Rebuild

* Tue Jul 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-16mdk
- Update code

* Tue Jul 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-15mdk
- Enable compile with slp lib

* Tue Jul 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-14mdk
- Update code

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-13mdk
- update code

* Wed Jun 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-12mdk
- Add patch55: fix mem leak

* Tue Jun 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-11mdk
- Add patch54: allow to undo/redo multi-message with one action

* Thu Jun 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-10mdk
- Update code fix kmail, krfb

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-9mdk
- Add patch53 : disable support for slp

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-8mdk
- Add patch52: patch to add bookmarks

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-7mdk
- Add patch51 : fix kmail spell check

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Fix patch46-47: quote kmail/knode

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Fix compile under MDK 9.1
- Add patch50 fix knode gui

* Tue Jun 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update lisa script from  Buchan Milne
- Add patch49: fix kmail crash reported by Nicolas Chipaux

* Wed May 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-2mdk
- Fix spec file

* Tue May 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-23mdk
- Fix spec file

* Thu Apr 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-22mdk
- Add new knode/kmail feature :"when we press return in quoted paragraph, add
quote in next paragraph"

* Thu Apr 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-21mdk
- Update code

* Tue Apr 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-20mdk
- Add patch44 : Add "Save All" attachement

* Tue Apr 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-19mdk
- Little fix in patch42/43

* Tue Apr 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-18mdk
- Add patch42: add kmail subject spell checking
- Add patch43: add knode subject spell checking, copy/paste/cut in all knode editor widget etc.

* Fri Apr 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-17mdk
- Add patch41: fix knode enable/disable cut action

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-16mdk
- Add patch40 : add "Add to bookmarks" feature in knode

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-15mdk
- Add new feature ask by Nicolas Chipaux ( Add quotes/Remove quotes )

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-14mdk
- Add paste as quoting in kmail

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-13mdk
- Add patch38: add spell check button in knode mail editor ( as in kmail )

* Thu Apr 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-12mdk
- Add backgroup spell check for knode

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-11mdk
- Add patch35 : kmail filter action "execute command" use kurlrequester

* Wed Apr 16 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-10mdk
- Fix patch25

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-9mdk
- Add background spell checking

* Tue Apr 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-8mdk
- Improve again patch28 : disable sound test button when url is empty

* Mon Apr 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-7mdk
- Fixe patch28

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-6mdk
- Add patch29: add double click to rename filter in kmail

* Thu Apr 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-5mdk
- Improve patch28

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-4mdk
- add patch28: add new filter action : execute sound

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Add buildfor9.2

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Resync with kde_3_1_branch ( a lot of fix in kmail, knode, kxmlrpc ) 

* Fri Mar 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1
- Add patch26: disable edit button when we clear search
- Add patch27: disable "find in message" action when there is not message

* Wed Mar 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-32mdk
- Add new kmail feature : add bookmarks

* Mon Mar 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-31mdk
- Add patch24 : fix from kde3.1 branch
=> fix ksirc crash : bugs #51957
=> fix kmail error with stmps : bugs #49902

* Sun Mar 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-30mdk
- Add patch22 : fix from kde3.1-branch
"Don't highlight URLs like synapse.serveftp.net (which was highlighted only partly beginning with the ftp.)"
- Add patch23 : "Don't partly highlight URLs like xyz.ftp.net"

* Sat Mar 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-29mdk
- Add patch20: fix from kde3.1 branch
"insert an empty line before the first body part of multipart/mixed and multipart/signed resp. multipart/encrypted because some broken MTAs seem to add an empty line if it's not present and this would break the signature (cf. bug 55629)"
- Add patch21: "Make new mail notification work for people who run KMail without KDE."

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-28mdk
- Add patch18: fix kdrc and SLP
- Add patch19: add kppp usb acm entry

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-27mdk
- Add patch17: fix kmail "Don't select multiple folders during keyboard navigation"
Fix certmanager "Make the created certifcates work with 509-1 CAs"

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-26mdk
- Add patch16: fix from kde3.1 branch fix close session

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-25mdk
- Update code ( a lot of kget fix )

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-24mdk
- Update code ( fix kget )

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-23mdk
- Update code 

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-22mdk
- Update code ( fix korn, kmail bugs )

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-21mdk
- Update code ( fix kmail )

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-20mdk
- Update code 

* Fri Feb 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-19mdk
- Update code ( Fix kmail )

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-18mdk
- Update code ( fix kmail bug, Fix kget )

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Update code ( fix kmail crash)

* Wed Feb 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Update code ( fix kmail crashs )

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Update code ( kmail, kcermanager fix crash )

* Mon Feb 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Update code

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Update code ( fix kmail bug )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- Fix build requires

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- update code

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- Update code ( fix kmail bugs )

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code ( fix kmail bugs)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update fix bug in kmail

* Sun Feb 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Other fix in kmail (two crashs)

* Sun Feb 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- update from kde_3_1_branch fix kmail layout

* Sat Feb 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Fix description

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Split package create new package kppp

* Fri Jan 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Add patch16: fix from kde_3_1_branch fix kget mem leak

* Thu Jan 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code from CVS, fix some kmail/ktalk bugs ( repaint folder etc..)

* Tue Jan 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- kde3.1

* Fri Jan 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.3mdk
- Make happy rpmlint

* Tue Jan 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.2mdk
- Remove debug

* Mon Jan 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc6.1mdk
- rc6

* Thu Dec 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.2mdk
- Fix menu entry

* Tue Dec 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc5.1mdk
- rc5

* Mon Nov 25 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.4mdk
- Add patch15 : kppp : add device for usb modem

* Sat Nov 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.3mdk
- Fix missing menu entry (kcmnewticker)

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.2mdk
- Fix conflict kdenetwork<->lisa
- Fix missing files
- Fix description

* Tue Nov 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc3.1mdk
- rc3

* Thu Nov 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.2mdk
- Rebuild

* Tue Nov 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- rc2

* Fri Nov 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.2mdk
- Fix missing file

* Thu Oct 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc1.1mdk
- rc1
- Add patch14 : fix kmail compile

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.4mdk
- Fix lisa package

* Tue Oct 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.3mdk
- Rebuild

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.2mdk
- Add patch14 : fix crash in kmail

* Sat Oct 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta2.1mdk
- It's not a beta1 but beta2 !

* Tue Oct 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.4mdk
- Reactivate patch2-6-13
- Remove other patch

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.3mdk
- fix conflict with kdebase

* Thu Oct 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.2mdk
- fix menu entry

* Wed Oct 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.beta1.1mdk
- beta2

* Tue Oct 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-2mdk
- update code

* Sun Oct 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4

* Mon Sep 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-15mdk
- Fix update/clean menu in lisa package
- Fix menu in lisa package

* Fri Sep 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-14mdk
- Fix kio_lan crash when lisa is not started
- Fix lisa script

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-13mdk
- fix lisa

* Thu Sep 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-12mdk
- Add support for lisa : Script lisa from Buchan Milne (bgmilne@linux-mandrake.com) 

* Mon Sep 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-11mdk
- Update code : fix kmail migration perl script

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-10mdk
- Update code from kde_3_0_branch fix kppp bug

* Sun Sep 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-9mdk
- Add patch13 : fix knode "copy link location" 

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-8mdk
- Add patch12 :Fix save config when we close knode config dialogbox

* Sat Aug 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-7mdk
- Add requires on kdebase necessary for kio_pop3

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-6mdk
- Update code from CVS

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-5mdk
- Add patch11 : fix kmail crash when sendmail is not configurated ( crash reported by Nicolas Chipaux )

* Thu Aug 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-4mdk
- Add patch10 : disable/enable ok button in sendmail dialogbox

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-3mdk
- Add patch9 : fix mem leak in kpgp

* Wed Aug 28 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-2mdk
- Add patch8 : fix kppp bug

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- kde3.0.3

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-15mdk
- Rebuild against gcc-3.2

* Tue Aug 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-14mdk
- Add patch from Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> lib64 fixes
- Remove debuggage

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-13mdk
- Fix update from 8.2

* Wed Aug 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-12mdk
- Patch7 : Fix kab menu entry

* Fri Aug 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-11mdk
- Update from kde_3_0_branch (fix kmail crash )
- Add  BuildConflicts: automake1.6

* Wed Jul 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-10mdk
- Add patch6 : Remove unused config action in ksirc config dialogbox

* Fri Jul 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-9mdk
- Rebuild against gcc-3.2

* Tue Jul 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-8mdk
- Add patch4 : Disable/enable ok button in "new server" dialogbox

* Mon Jul 22 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-7mdk
- Add patch3 : fix ksirc dadou crash

* Sat Jul 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-6mdk
- Add patch2 : launch spell checking config when kspell is not configurated.

* Sun Jun 30 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-5mdk
- kde3.0.2

* Sun Jun 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-5mdk
- patch2 : fix bug into ktalk

* Wed May 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-4mdk
- Rebuild against libstdc++

* Sun May 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-3mdk
- fix menu entry

* Thu May 23 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-2mdk
- rebuild

* Fri May 10 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- kde3.0.1
- obsolete kdenetwork

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-5mdk
- Rebuild against gcc3.1

* Sat Apr 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-4mdk
- Remove "-fomit-frame-pointer"

* Fri Apr 05 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-3mdk
- Fix spec file

* Thu Apr 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Fix update menu

* Tue Mar 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0

* Thu Mar 21 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc3.1mdk
- RC3

* Sat Mar 16 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.rc2.1mdk
- RC2

* Sat Jan 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta2.1mdk
- beta2

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0-0.beta1.4mdk
- Fix previous changelog
- Allow KDE 2 and KDE 3 to be installed in same time (lot of changes, see CVS
  for details)
- Don't build static libraries
- Remove KDE 2's changelogs (KDE 2 and KDE 3 spec files have a separate life
  now)
- Remove 7.2 support
    
* Thu Dec 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.beta1.3mdk
- Rename to allow KDE 2 and KDE 3 to be installed in same time

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0beta1-3mdk
- kde 3.0 beta1

* Thu Nov 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-2mdk
- Improve spec

* Fri Nov 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- kde 3.0
